Page MenuHomePhabricator

Typo in dhcpv6-server description
Closed, ResolvedPublicBUG

Description

[edit]
vyos@office-side01.eu.srizbi.net# set service dhcpv6-server shared-network-name LAN subnet 2001:FFFF:FFFF:FFFF:FFFF:cafe:0:/96 static-mapping Workstation 
Possible completions:
   disable      Option to disable static-mapping
   identifier   Client identifier for this static mapping
   ipv6-address Client IPv5 address for this static mapping

I don't think that VyOS supports IPv5 ;P

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.2.0-rolling+201906060337
Why the issue appeared?
Implementation mistake

Event Timeline

MrFunken created this task.Jul 15 2019, 8:09 PM
pasik added a subscriber: pasik.Jul 16 2019, 9:50 AM
jjakob added a subscriber: jjakob.Jul 16 2019, 11:50 PM

This is already fixed in the latest rolling images (equuleus).

It'd be best to backport all fixes from T1439 and T1470. I'm still undecided whether a migration script would be needed for T1439.

@MrFunken in what format are your current static-mapping identifiers? can you post a snippet from the config and /etc/dhcp/dhcpdv6.conf (the part with the identifiers, sanitized) into T1439?

dmbaturin closed this task as Resolved.Jul 18 2019, 10:13 PM
dmbaturin claimed this task.
dmbaturin added a subscriber: dmbaturin.

We cannot backport anything that introduces a syntax or behaviour change, much less if it may possibly need a migration script. ;)

LTS is LTS, people choose that path for maximum upgrade safety.

dmbaturin changed Why the issue appeared? from Will be filled on close to Implementation mistake.